# pay (One-time Payments)

> Use this API to get the cashier page address. After getting the cashier page address, you can redirect the user to the cashier page to make a payment.

`POST /v1/payments/pay`

Use this API to get the cashier page address. After getting the cashier page address, you can redirect the user to the cashier page to make a payment.

# Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see： 

-   [Request header](https://docs.antom.com/ac/ams/api_fund.md#ML5ur)
-   [Response header](https://docs.antom.com/ac/ams/api_fund.md#WWH90)

> **Note**: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:
>
> -   If the data type of a field is Integer and its value is `20`, set it as "`20`". 
> -   If the data type of a field is Boolean and its value is `true`, set it as "`true`".

## Request parameters

#### merchantRegion (String)

The country or region where the merchant operates the business. The parameter is a 2-letter country or region code that follows [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

Some possible values are `US`, `SG`, `HK`, `PK`, `JP`, `CN`, `BR`, `AU`, and `MY`.

> **Note**: This parameter is required when you use the Global Acquirer Gateway (GAGW) product.

More information:

- Maximum length: 2 characters

#### merchantAccountId (String)

A unique ID to identify a specific merchant account.

> **Note**: Specify this parameter when you use a single client ID across multiple locations.

More information:

- Maximum length: 32 characters

#### userRegion (String)

A 2-letter country or region code based on the standard of [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search). This parameter is used to sort digital wallets according to the user's region. For example, if `ALIPAY_CN` and `KAKAOPAY` are both on your payment method list and the user is from South Korea, `KAKAOPAY` will be listed first on the Antom checkout page.

> **Note**: This parameter is only for the merchant that has integrated the Antom checkout page.

More information:

- Maximum length: 2 characters

#### env (Env, REQUIRED)

Information about the environment where the order is placed, such as the device information.

##### terminalType (String, REQUIRED)

Terminal type of which the merchant service applies to. Valid values are:

-   `WEB`: The client-side terminal type is a website, which is opened via a PC browser.
-   `WAP`: The client-side terminal type is an H5 page, which is opened via a mobile browser.
-   `APP`: The client-side terminal type is a mobile application.
-   `MINI_APP`: The terminal type of the merchant side is a mini program on the mobile phone.

##### osType (String)

Type of the operation system. Valid values are:

-   `IOS`: indicates the operation system is Apple's iOS.
-   `ANDROID`: indicates the operation system is Google's Android.

> **Note**: Specify this field when _terminalType_ is not `WEB`.

##### browserInfo (BrowserInfo)

The information about the browser environment where the order is placed.

> **Note**: Specify this parameter when you collect this information during the payment process.

###### acceptHeader (String)

The accept header of the user's browser.

More information:

- Maximum length: 2048 characters

###### javaEnabled (Boolean)

Indicates whether the user's browser is able to run Java. Valid values are:

-   `true`: indicates that the user's browser is able to run Java.
-   `false`: indicates that the user's browser is unable to run Java. The same applies when the value is empty or you do not specify this parameter.

###### javaScriptEnabled (Boolean)

Indicates whether the user's browser is able to run Java. Valid values are:

-   `true`: indicates that the user's browser is able to run JavaScript.
-   `false`: indicates that the user's browser is unable to run JavaScript. The same applies when the value is empty or you do not specify this parameter.

###### language (String)

The language of the user's browser. The value is obtained by using the browser's `navigator.language` property (as defined in IETF BCP 47).

More information:

- Maximum length: 32 characters

###### userAgent (String)

The user agent of the user's browser.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   You require risk control.
> -   The value of _paymentMethodType_ is `BLIK` and you collect the information of _blikCode_.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 2048 characters

##### colorDepth (Integer)

The color depth of the user's browser in bits per pixel. The value is obtained by using the browser's screen.colorDepth property. Valid values are `1`, `4`, `8`, `15`, `16`, `24`, `30`, `32`, or `48`. For example, `8` means 8-bit color depth.

More information:

- Value range: 0 - unlimited

##### screenHeight (Integer)

The screen height of the user's device in pixels.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Value range: 1 - unlimited

##### screenWidth (Integer)

The screen width of the user's device in pixels.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Value range: 1 - unlimited

##### timeZoneOffset (Integer)

The time difference between UTC time and the local time of the user's browser, in minutes. The value is obtained by using the `getTimezoneOffset()` property. For example, if the local time of the user's browser is UTC+2, the value of this parameter is `-120`.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Value range: -720 - 720

##### deviceBrand (String)

The brand of the user's device.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

##### deviceModel (String)

The model of the user's device.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 128 characters

##### deviceTokenId (String)

The token identifier of the device.

> **Note**: Specify this parameter if you integrate with the Antom Device Fingerprint client, which is an SDK or JavaScript library that is used to collect device-related information, such as _osType_, _deviceLanguage_, _deviceId_, _websiteLanguage_, and _userAgent_. The device-related information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates. For more information about the Antom Device Fingerprint client, contact Antom Technical Support.

More information:

- Maximum length: 64 characters

##### clientIp (String)

The IP address of the client device.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   You require risk control.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodType_ is `BLIK` and you collect the information of _blikCode_.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

##### deviceLanguage (String)

The language of the device where the user places an order.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to identify black-market behavior.

More information:

- Maximum length: 32 characters

##### deviceId (String)

The unique ID of the device the user places an order with.

> **Note**: Specify this parameter if you require risk control. This parameter can be used to build a trusted relationship between users and commonly used devices, thereby reducing risk control interruptions and increasing the payment success rate.

More information:

- Maximum length: 64 characters

##### extendInfo (String)

Extended information.

Specify this field if you need to use the extended information.

More information:

- Maximum length: 2048 characters

#### order (Order, REQUIRED)

The order information, such as buyer, merchant, goods, amount, shipping information, and purchase environment. This field is used for different purposes:

-   During the payment process, this field is mainly used by Antom for risk control or anti-money laundering.
-   After the payment is completed, this field is used for recording and reporting purposes such as purchase tracking and regulatory reporting.

##### orderAmount (Amount, REQUIRED)

The order amount of the merchant that directly provides services or goods to the customer. This field is used for user consumption records display or payment results page.

###### currency (String, REQUIRED)

The transaction currency that is specified in the contract. A 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

More information:

- Value range: 1 - unlimited

##### referenceOrderId (String, REQUIRED)

The unique ID to identify the order on the merchant side, which is assigned by the merchant that provides services or goods directly to the customer. This field is used for user consumption records display and other further actions such as disputes track or handling of customer complaints.

More information:

- Maximum length: 64 characters

##### orderDescription (String, REQUIRED)

Summary description of the order, which is used for user consumption records display or other further actions.

More information:

- Maximum length: 256 characters

##### goods (Array<Goods>)

Goods information, including the ID, name, price, and quantity of the goods in the order.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   This parameter is required when the value of _paymentMethodType_ is `TAMARA_AE` or `TAMARA_SA`.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum size: 100 elements

###### referenceGoodsId (String, REQUIRED)

The unique ID to identify the goods.

More information:

- Maximum length: 64 characters

###### goodsName (String, REQUIRED)

Goods name.

More information:

- Maximum length: 256 characters

###### goodsCategory (String)

The category of the goods. If the goods have multiple layers for categorization, use slashes between different categories and write the parent category before the subcategory, such as `Digital Goods/Digital Vouchers/Food and Beverages`.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   This parameter is required when the value of _paymentMethodType_ is `TAMARA_AE` or `TAMARA_SA`.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

###### goodsUnitAmount (Amount)

Price of goods.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   This parameter is required when the value of _paymentMethodType_ is `TAMARA_AE` or `TAMARA_SA`.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

More information:

- Value range: 1 - unlimited

###### goodsQuantity (Integer)

Quantity of goods.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   This parameter is required when the value of _paymentMethodType_ is `TAMARA_AE` or `TAMARA_SA`.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Value range: 1 - unlimited

###### goodsUrl (String)

The URL of the website where the user places an order.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   This parameter is required when the value of _paymentMethodType_ is `TAMARA_AE` or `TAMARA_SA`.
>
> Providing this information helps to identify black-market behavior.

More information:

- Maximum length: 2048 characters

###### deliveryMethodType (String)

The delivery method of the goods. Valid values are:

-   `PHYSICAL`: indicates that the delivery method is physical delivery.
-   `DIGITAL`: indicates that the delivery method is digital delivery.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 32 characters

##### shipping (Shipping)

Shipping information, including information about the recipient (name, phone number, email, and shipping address), and shipping service provider.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   You require risk control.
> -   The value of _paymentMethodType_ is `OVO` and you collect this information during the payment process.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### shippingName (UserName)

The name of the recipient.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### firstName (String, REQUIRED)

First name.

More information:

- Maximum length: 32 characters

###### middleName (String)

Middle name

More information:

- Maximum length: 32 characters

###### lastName (String, REQUIRED)

Last name

More information:

- Maximum length: 32 characters

###### fullName (String)

Full name

More information:

- Maximum length: 128 characters

###### shippingAddress (Address)

Shipping address.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   The value of _paymentMethodType_ is `PAGALEVE`.
> -   You require risk control.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### region (String, REQUIRED)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province name.

> **Note**: For card payments, if your business entity is in the United States, and the card issuing country is in Canada, the United States, or the United Kingdom, set the value to a region code that consists of two to three characters and follows the ISO 3166-2 standard.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### zipCode (String)

ZIP or postal code.

> **Note**: For card payments, if your business entity is in the United States, specify this parameter according to the following parameter value requirements:
>
> -   Only contains numbers, letters, hyphens, and spaces.
> -   Must be within ten characters.

More information:

- Maximum length: 32 characters

###### shippingCarrier (String)

The delivery service provider for shipping a physical product, such as FedEx, UPS, or USPS.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 128 characters

###### shippingPhoneNo (String)

The phone number of a recipient (including extension).

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   You require risk control.
> -   The value of _paymentMethodType_ is `OVO` and you collect the phone number that is bound to the OVO account during the payment process.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 16 characters

###### shipToEmail (String)

The email address where virtual goods are sent.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   if you require risk control.
> -   if you are a digital and entertainment merchant.
>
> Providing this information helps to increase fraud and identity theft detection.

More information:

- Maximum length: 64 characters

##### buyer (Buyer)

Buyer information, including the ID, name, phone number, and email of the buyer.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   You require risk control.
> -   The value of _paymentMethodType_ is `CARD`, `OVO`, `BANCOMATPAY`, `KONBINI`, or `ONLINEBANKING_PAYEASY` and you collect this information during the payment process.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### referenceBuyerId (String)

The unique ID to identify the buyer.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   When the value of _paymentMethodType_ is `CARD`.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

###### buyerName (UserName)

The name of the buyer.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   You require risk control.
> -   The value of _paymentMethodType_ is `KONBINI`, `SEVENELEVEN`, or `ONLINEBANKING_PAYEASY` and you collect this information during the payment process. For this case, you only need to pass in values for the _firstName_ and _lastName_ parameters.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### firstName (String)

First name.

More information:

- Maximum length: 32 characters

###### middleName (String)

Middle name

More information:

- Maximum length: 32 characters

###### lastName (String)

Last name

More information:

- Maximum length: 32 characters

###### fullName (String)

Full name

More information:

- Maximum length: 128 characters

###### buyerPhoneNo (String)

The mobile phone number of the buyer.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   When the value of _paymentMethodType_ is `CARD`.
> -   When the value of _paymentMethodType_ is `KONBINI` or `ONLINEBANKING_PAYEASY` and you need to collect the phone number during the payment process.
> -   When the value of _paymentMethodType_ is `BANCOMATPAY` and you need to collect the phone number bound to the Bancomat Pay account during the payment process.
> -   When the value of _paymentMethodType_ is `OVO` and you need to collect the phone number bound to the OVO account during the payment process. Here are the guidelines for the phone number format:
>
> -   Begin with the number 08 or 8, such as 085775716613 or 85775716613.
> -   Include the area code without a plus sign and the length should be between 9 and 12 digits, such as 62085775716613 or 6285775716613.
> -   Omit the area code, such as 085775716613 or 85775716613.
>
> -   When the value of _paymentMethodType_ is `TAMARA` and you need to collect the phone number bound to the Tamara account during the payment process.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 24 characters

###### buyerEmail (Email)

The email of the buyer.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   When the value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodType_ is `KONBINI` or `ONLINEBANKING_PAYEASY` and you collect this information during the payment process.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

###### buyerRegistrationTime (Datetime)

The time when the buyer registered your account. Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters
- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### merchant (Merchant)

Information about the secondary merchant.

> **Note**: Specify this field if you are an acquirer that has secondary merchants.

###### referenceMerchantId (String, REQUIRED)

The ID to identify the merchant that directly provides services or goods to the customer.

More information:

- Maximum length: 32 characters

###### merchantMCC (String)

The secondary merchant category code, which is a 4-digit number listed in [MCC codes](https://docs.antom.com/ac/ref/mcccodes.md).

> **Note**: Specify this field if you have the information. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 32 characters

###### merchantName (String)

The merchant name.

> **Note**: Specify this field if you have the information. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 256 characters

###### merchantDisplayName (String)

The merchant name to be displayed.

> **Note**: Specify this field if you have the information. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

###### merchantAddress (Address)

The merchant address information.

> **Note**: Specify this field if you have the information. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### region (String, REQUIRED)

The two-character [ISO 3166](https://www.iso.org/iso-3166-country-codes.html) country/region code.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, such as street, PO Box, or company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, such as the apartment, suite, unit, or building information.

More information:

- Maximum length: 256 characters

###### zipCode (String)

ZIP or postal code.

More information:

- Maximum length: 32 characters

###### merchantRegisterDate (Datetime)

Merchant registration date.

> **Note**: Specify this field if you have the information. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### extendInfo (String)

Extended information data, including information for special use cases.

> **Note**: Specify this field when you need to use the extended information.

More information:

- Maximum length: 2048 characters

###### chinaExtraTransInfo (ChinaExtraTransInfo)

Extra information about the transaction.

> **Note**: Specify this field for transactions to Alipay.

###### businessType (String, REQUIRED)

The business type. Valid values are:

-   `1`: Hotel
-   `2`: Air Flight
-   `3`: Study Abroad
-   `4`: Trade
-   `5`: Other

Multiple business types are delimited by "|".

More information:

- Maximum length: 16 characters

###### flightNumber (String)

The flight number. Multiple flight numbers are delimited by '|'. When _businessType_\=2, this field needs to be specified.

More information:

- Maximum length: 1000 characters

###### departureTime (Datetime)

The flight departure time in the format of yyyy-MM-dd HH:mm. Multiple flight departure times are delimited by '|'. When _businessType_\=2, this field needs to be specified.

More information:

- Maximum length: 1000 characters
- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### hotelName (String)

The hotel name. Multiple hotel names are delimited by '|'. When _businessType_\=1, this field needs to be specified.

More information:

- Maximum length: 1000 characters

###### checkinTime (Datetime)

The hotel check-in time in the format of yyyy-MM-dd and in the UTC+8 timezone. Multiple hotel check-in times are delimited by '|'. When _businessType_\=1, this field needs to be specified.

More information:

- Maximum length: 1000 characters
- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### admissionNoticeUrl (URL)

The school admission notice URL. Mulitple URLs are delimited by '|'. When _businessType_\=3, this field needs to be specified.

More information:

- Maximum length: 1000 characters

###### goodsInfo (String)

Goods information that includes SKU names and corresponding quantities, in the format of SKU\_name^quantity. If more than one goods exists, separate values with a vertical bar (|). When _businessType_\=4, this field needs to be specified.

###### totalQuantity (Integer)

Total quantities of all goods in one order. When _businessType_\=4, this field needs to be specified.

More information:

- Value range: 0 - unlimited

##### transit (Transit)

Trip information, including trip modes, legs of trips and passenger information.

> **Note**: Specify this field if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### transitType (String)

Trip modes, valid values are:

-   `FLIGHT`: indicates that the trip mode is by plane.
-   `TRAIN`: indicates that the trip mode is by train.
-   `CRUISE`: indicates that the trip mode is by cruise.
-   `COACH`: indicates that the trip mode is by coach.

###### agentCode (String)

International Air Transport Association (IATA) code for the travel agency that made the reservation.

More information:

- Maximum length: 8 characters

###### agentName (String)

The name of the travel agency that made the reservation.

More information:

- Maximum length: 32 characters

###### ticketNumber (String)

A unique identifier for the ticket, typically formatted as IATA 3-letter airline code followed by a 10-digit number assigned by the airline.

More information:

- Maximum length: 15 characters

###### ticketIssuerCode (String)

Unique IATA 2-letter airline code identifying the organization or entity that issued the ticket.

More information:

- Maximum length: 2 characters

###### restrictedTicketIndicator (String)

Indicates whether the ticket is refundable. Valid values include:

-   `0`: Indicates the ticket is refundable.
-   `1`: Indicates the ticket is not refundable.

More information:

- Maximum length: 2 characters

###### legs (Array<Leg>)

Information about sections of the trip, including departure time, arrival time, departure address, arrival address, transportation company name, carrier code and service type.

More information:

- Maximum size: 10 elements

###### departureTime (Datetime)

Time of departure for this leg of the trip.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### arrivalTime (Datetime)

Time of arrival for this leg of the trip.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### departureAddress (Address)

Departure address for this leg of the trip.

###### region (String)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### arrivalAddress (Address)

Destination address for this leg of the trip.

###### region (String)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### carrierName (String)

Company name of the transportation service provider for this leg of the trip.

More information:

- Maximum length: 128 characters

###### classType (String)

Service level for this leg of the trip. Valid values are:

-   `FIRSTLEVEL`: indicates that the service is the first class. For example, flight first class, cruise luxury seat, train business class seat/1st class sleeper, coach first-level seat.
-   `SECONDLEVEL`: indicates that the service is the second class. For example, fight business class, cruise business seat, train 1st class seat/2nd class sleeper, coach second-level seat.
-   `THIRDLEVEL`: indicates that the service is the third class. For example, fight economic class or premium economic, cruise normal seat, train 2nd class seat/standing, coach normal seat.

More information:

- Maximum length: 32 characters

###### departureAirportCode  (String)

IATA code for the originating airport for this leg of the trip.

More information:

- Maximum length: 3 characters

###### arrivalAirportCode   (String)

IATA code for the destination airport for this leg of the trip.

More information:

- Maximum length: 3 characters

###### carrierNo (String)

International Air Transport Association (IATA) code is obtained from the Official Airline Guide or its equivalent.

More information:

- Maximum length: 2 characters

###### fareBasis (String)

Code used to identify the basic rules of segment fares. This code is defined by the airline to identify ticket attributes, such as cabin class (e.g., business class), fare rules (e.g., discounted/non-refundable changes), or promotional conditions.

> **Note**: This code only contains letters (A-Z), numbers (0-9), and spaces. The use of special characters is prohibited.

More information:

- Maximum length: 16 characters

###### couponNumber (String)

An electronic coupon number used to identify a flight segment in a ticket. Each ticket may contain multiple electronic coupons, each corresponding to an independent flight segment.

> **Note**: This number must be unique within the same ticket but can be duplicated across different tickets.

More information:

- Maximum length: 2 characters

###### flightNumber (String)

The identifier assigned to a specific flight. Typically 1 to 4 numeric digits, optionally followed by a suffix letter.

More information:

- Maximum length: 5 characters

###### passengers (Array<Passenger>)

Information about the passenger of the trip, including the passenger names, passenger email and passenger phone number.

More information:

- Maximum size: 100 elements

###### passengerName (UserName)

The name of the passenger.

###### firstName (String)

First name.

More information:

- Maximum length: 32 characters

###### middleName (String)

Middle name.

More information:

- Maximum length: 32 characters

###### lastName (String)

Last name.

More information:

- Maximum length: 32 characters

###### fullName (String)

Full name.

More information:

- Maximum length: 128 characters

###### passengerEmail (String)

The email of the passenger.

More information:

- Maximum length: 64 characters

###### passengerPhoneNo (String)

The mobile phone number of the passenger.

More information:

- Maximum length: 32 characters

###### passengerId (String)

The unique ID that is assigned by merchant to identify a passenger.

> **Note**:The parameter must be encoded in SHA-256 format.

More information:

- Maximum length: 64 characters

###### passengerIdType (String)

The type of passenger's ID. Valid values are:

-   `PASSPORT` : Widely accepted for international and domestic travel.
-   `NATIONAL_ID_CARD`: National ID cards, which is valid for domestic and sometimes international travel;
    examples include the Chinese Resident Identity Card and EU National ID Card.
-   `DRIVER_LICENSE`: The driver's license, accepted for domestic travel in some countries.
-   `MILITARY_ ID`: The military ID, used by active military personnel for domestic travel in some countries, like the U.S.
-   `GREEN_CARD`: Green Card, which is valid for domestic travel for certain residents, such as in the U.S.
-   `TRAVEL_DOCUMENT`: Issued to individuals unable to obtain a passport, generally accepted for international travel.
-   `ALIEN_REGISTRATION_CARD`: Alien Registration Card, used for domestic travel in some countries, like
    South Korea.
-   `BIRTH_CERTIFICATE`: A birth certificate, often required for infants and young children when traveling with a parent or guardian.
-   `OTHERS` : Any ID not listed above.

More information:

- Maximum length: 64 characters

###### passengerCode (String)

The unique identifier assigned by the air carrier to a passenger for accurately identifying the passenger in the airline system.

More information:

- Maximum length: 32 characters

###### ancillaryData (Object)

Information about an ancillary purchase.

###### connectedTicketNumber (String)

The airline ticket number linked to this ancillary purchase. If the ancillary product is associated with a flight ticket (like a baggage fee), enter that flight ticket number here.

More information:

- Maximum length: 15 characters

###### services (Array<Service>)

Information about the services included in an ancillary purchase.

###### categoryCode (String)

Category code for the ancillary services offered. Retrieve the codes from the International Air Transport Association (IATA).

More information:

- Maximum length: 4 characters

###### subCategoryCode (String)

Subcategory code for the ancillary service category. Retrieve codes from the International Air Transport Association (IATA).

More information:

- Maximum length: 4 characters

##### lodging (Lodging)

Information about lodging service that was purchased, including hotel name, hotel address, check-in date, check-out date, number of booked rooms, number of booked nights and guest names.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### hotelName (String)

Hotel name.

More information:

- Maximum length: 128 characters

###### hotelAddress (Address)

Hotel address.

###### region (String)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### checkInDate (Datetime)

Date on which the guest checked in. In the case of a no-show or a reservation, the scheduled arrival date.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### checkOutDate (Datetime)

Date on which the guest checked out.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### numberOfNights (Integer)

Number of nights booked by the payer.

More information:

- Value range: 1 - unlimited

###### numberOfRooms (Integer)

Number of rooms booked by the payer.

More information:

- Value range: 1 - unlimited

###### guestNames (Array<UserName>)

Name of the guest under which the room is reserved.

More information:

- Maximum size: 100 elements

###### firstName (String)

First name.

More information:

- Maximum length: 32 characters

###### middleName (String)

Middle name.

More information:

- Maximum length: 32 characters

###### lastName (String)

Last name.

More information:

- Maximum length: 32 characters

###### fullName (String)

Full name.

More information:

- Maximum length: 128 characters

##### gaming (Gaming)

Information about gaming top-up, including game name, the topped up user name or ID, user email and user phone number.

> **Note**: Specify this parameter if you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### gameName (String)

Game name.

More information:

- Maximum length: 128 characters

###### toppedUpUser (String)

Name or ID of the user whose gaming account is topped up.

More information:

- Maximum length: 128 characters

###### toppedUpEmail (String)

Email of the user whose gaming account is topped up.

More information:

- Maximum length: 64 characters

###### toppedUpPhoneNo (String)

Phone number of the user whose gaming account is topped up.

More information:

- Maximum length: 32 characters

##### declaration (Declaration)

Foreign exchange settlement declaration.

###### declarationBizScene (String)

Industry classification for the foreign exchange settlement declaration. Value valid are:

-   `AIRLINE`: Indicates that the declared industry classification is the airline sector.
-   `HOTEL`: Indicates that the declared industry classification is the hotel sector.

> Note: This is a required parameter in OTA scenarios, and must be passed together with _declarationBeneficiaryId_.

More information:

- Maximum length: 64 characters

###### declarationBeneficiaryId (String)

The unique third-party beneficiary ID used for declaring cumulative amount.

> Note: This is a required parameter in OTA scenarios, and must be passed together with _declarationBizScene_.

More information:

- Maximum length: 64 characters

#### paymentRequestId (String, REQUIRED)

The unique ID assigned by a merchant to identify a payment request. Antom uses this field for idempotence control.

More information:

- This field is an API idempotency field.For payment requests that are initiated with the same value of paymentRequestId and reach a final status of S or F, the same result is to be returned for the request.
- Maximum length: 64 characters

#### paymentAmount (Amount, REQUIRED)

The payment amount that the merchant requests to receive in the order currency.

##### currency (String, REQUIRED)

The transaction currency, which is a 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The value of the amount as a positive integer in the smallest currency unit. For example, if the currency is USD and the amount is $1.00, set the value of this parameter to `100`; or if the currency is JPY and the amount is ￥1, set the value of this parameter to `1`. 

For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

For details about the minimum payment amount allowed for each payment method, see [Minimum amount rules](https://docs.antom.com/ac/ref/cc.md#q9R5A).

> **Note**: Due to the currency practices in Indonesia, when the currency is IDR, round the amount with banker's rounding and fix the last two digits of this parameter as `00`.

More information:

- Value range: 1 - unlimited

#### settlementStrategy (SettlementStrategy, REQUIRED)

The settlement strategy for the payment request.

##### settlementCurrency (String, REQUIRED)

The ISO currency code of the currency that the merchant wants to be settled against. The field is required if the merchant signed up for multiple currencies to settle.

More information:

- Maximum length: 3 characters

#### paymentMethod (PaymentMethod, REQUIRED)

The payment method that is used to collect the payment by the merchant or acquirer.

##### paymentMethodType (String, REQUIRED)

The payment method type that is included in payment method options.

> By specifying the value of this parameter, you can receive the cashier URL of the specified payment method returned by Antom. See [Payment methods](https://docs.antom.com/ac/pm/enumeration_values.md) to check the valid values.

More information:

- Maximum length: 64 characters

##### paymentMethodId (String)

The unique ID that is used to identify a payment method. The value of this parameter is that of _cardToken_ obtained from the [**notifyPayment**](https://docs.antom.com/ac/ams/paymentrn_online.md) or [**inquiryPayment**](https://docs.antom.com/ac/ams/paymentri_online.md) API.

> **Note**: Specify this parameter when the value of _paymentMethodType_ is `CARD`.

More information:

- Maximum length: 128 characters

##### paymentMethodMetaData (PaymentMethodMetaData)

Additional information required for certain payment methods.

> **Note**: Specify this parameter when the value of _paymentMethodType_ is `APPLEPAY`, `BLIK`, `CARD`, `GOOGLEPAY`, `KONBINI`, `MB_WAY`, `MERCADOPAGO_BR`, `MERCADOPAGO_CL`, `MERCADOPAGO_MX`, `MERCADOPAGO_PE`, `GRABPAY_MY`, `GRABPAY_PH`, `GRABPAY_SG`, `ONLINEBANKING_FPX`, `P24`, `PAGALEVE`, `SHOPEEPAY_ID`, `SHOPEEPAY_MY`, `SHOPEEPAY_PH` or `SHOPEEPAY_SG`.

**Scenario: Apple Pay** (Apple Pay)

###### applePayConfiguration (ApplePayConfiguration)

Apple Pay payment preferences.

###### applePayToken (String)

Apple Pay token.

> **Note**: Specify this parameter when the merchant does not have PCI qualification.

More information:

- Maximum length: 4096 characters

###### is3DSAuthentication (Boolean)

Indicates whether the transaction authentication type is 3D secure. Valid values are:

-   `true`: indicates that the transaction authentication type is 3D secure.
-   `false`: indicates that the transaction authentication type is 2D authentication.

> **Note**: Set this parameter to `false` when the value of _paymentMethodType_ is `APPLEPAY`.

###### cardNo (String)

The card number.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the _applePayToken_.

More information:

- Maximum length: 32 characters

###### cvv (String)

The card verification value (CVV), which is also known as a card security code (CSC) or a card veirification code (CVC).

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the _applePayToken_.

More information:

- Maximum length: 4 characters

###### expiryMonth (String)

The month the card expires. Pass in two digits representing the month. For example, if the expiry month is February, the value of this parameter is `02`.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the _applePayToken_.

More information:

- Maximum length: 2 characters

###### expiryYear (String)

The year the card expires. Pass in the last two digits of the year number. For example, if the expiry year is 2025, the value of this parameter is `25`.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the _applePayToken_.

More information:

- Maximum length: 2 characters

###### cardholderName (UserName)

The cardholder's name.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the _applePayToken_.

###### firstName (String)

The cardholder's first name.

More information:

- Maximum length: 32 characters

###### middleName (String)

The cardholder's middle name.

More information:

- Maximum length: 32 characters

###### lastName (String)

The cardholder's last name.

More information:

- Maximum length: 32 characters

###### fullName (String)

The cardholder's full name.

More information:

- Maximum length: 32 characters

###### billingAddress (Address)

The billing address that is associated with the cardholder's card account.

Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### region (String, REQUIRED)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province name.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### zipCode (String)

The ZIP or postal code.

More information:

- Maximum length: 32 characters

###### paymentMethodRegion (String)

The region code that represents the country or region of the payment method. The value of this parameter is a 2-letter [ISO country code](https://www.iso.org/obp/ui/#search) or `GLOBAL`. For more information about the card region, see [Card brands](https://global.alipay.com/docs/ac/pm/enumeration_values#ZfyuE).

More information:

- Maximum length: 6 characters

###### tokenize ( )

Deprecated. Use _tokenizeMode_ instead.

###### tokenizeMode (String)

The tokenize mode. Indicates whether card information needs to be stored. When you opt to store card details, the actual information is replaced with a unique and secure token that can be used for future payments. Valid values are:

-   `ENABLED`: indicates that you obtain card binding authorization and want to store card information for future payments.
-   `DISABLED`: indicates that you don’t need to store card information. The same applies when the value is empty or you do not specify this parameter.
-   `ASKFORCONSENT`: indicates that you present a button on the page, allowing the buyer to choose whether or not they want to store the card information.

More information:

- Maximum length: 64 characters

###### isCardOnFile (Boolean)

Indicates whether the card used in this transaction has been previously processed and stored by the merchant. Valid values are:

-   `true`: The card used in the transaction has been previously processed and stored by the merchant. Set to `true` for stored card payments.
-   `false`: Default value. The card is new and has not been used previously on the merchant side.

###### recurringType (String)

The recurring type for the payment. Valid values are:

-   `SCHEDULED`: indicates a regular automated deduction payment.
-   `UNSCHEDULED`: indicates an irregular automated deduction payment.

If the value of this parameter is empty or you do not specify this parameter, the payment is not an automated deduction and the payer will be included in the payment process.

> **Note**: Specify this parameter when the payment is a merchant-initiated transaction (MIT).

More information:

- Maximum length: 64 characters

###### networkTransactionId (String)

This parameter is used for automated deduction payments. The value of this parameter is the value of the same field that is returned by [**notifyPayment**](https://docs.antom.com/ac/ams/paymentrn_online.md) or [**inquiryPayment**](https://docs.antom.com/ac/ams/paymentri_online.md) for the original payment.

> **Note**: Specify this parameter when the value of _recurringType_ is `SCHEDULED` or `UNSCHEDULED`.

More information:

- Maximum length: 100 characters

###### selectedCardBrand (String)

The card brand that the user used to pay. See [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE) to check the valid values.

More information:

- Maximum length: 64 characters

###### enableAuthenticationUpgrade (Boolean)

Indicates whether you allow non-3D Secure authentication to be upgraded to 3D Secure authentication. Valid values are:

-   `true`: indicates that you allow non-3D Secure authentication to be upgraded to 3D Secure authentication. The same applies when the value is empty or you do not specify this parameter.
-   `false`: indicates that you do not allow non-3D Secure authentication to be upgraded to 3D Secure authentication.

> **Note**: This parameter is used to salvage some payments that non-3D authentication fails. Specify this parameter as `false` if you do not need this capability.

###### mpiData (MpiData)

The MPI (Merchant Plug-In) information.

> **Note**: Specify this parameter if you integrate external 3D MPI.

###### threeDSVersion (String, REQUIRED)

The version of 3D Secure protocol. Valid values are:

-   `1.0.2`
-   `2.1.0`
-   `2.2.0`

More information:

- Maximum length: 16 characters

###### cavv (String)

The cardholder authentication value. The value of this parameter can be Cardholder Authentication Verification Value (CAVV) or Authentication Verification Value (AVV).

> **Note**: Specify this parameter when the cardholder passes the 3D Secure authentication.

More information:

- Maximum length: 64 characters

###### dsTransactionId (String)

The unique transaction identifier assigned by the Directory Server (DS) for 3D Secure authentication.

> **Note**: Specify this parameter when 3D Secure authentication is used.

More information:

- Maximum length: 64 characters

###### eci (String, REQUIRED)

Electronic Commerce Indicator (ECI) that is returned by the card scheme. This parameter is used to indicate the type of cardholder identity authentication. Valid values are:

-   `02` or `05`: indicates fully authenticated transaction.
-   `01` or `06`: indicates attempted authentication transaction.
-   `00` or `07`: indicates non-3D Secure transaction.

More information:

- Maximum length: 2 characters

**Scenario: Blik** (Blik)

###### blikCode (String)

The unique 6-digit BLIK code that is generated on the user's banking application. The code expires in 2 minutes.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   The value of _paymentMethodType_ is `BLIK`.
> -   You collect this information during the payment process.

More information:

- Maximum length: 6 characters

**Scenario: Card** (Card)

###### is3DSAuthentication (Boolean)

icates whether 3D Secure authentication is mandatory for the payment. Valid values are:

-   `true`: 3D Secure authentication is enforced for the payment.
-   `false`: 3D Secure authentication is not enforced.

If this parameter is empty or not provided, 3D Secure authentication is not enforced by default.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When the value of _paymentMethodType_ is `CARD`. Check which cards support 3D secure in [Card](https://docs.antom.com/payment_methods.md).
> -   Set this parameter to `true` for the initial payment when creating a subscription.

###### is3DSDataOnly (Boolean)

Indicates whether the transaction is processed via the 3D Secure data-only flow. Valid values are:

-   `true`: indicates that the transaction that qualifies will automatically go through the 3D Secure data-only flow. For better verification, we recommend specifying _billingAddress_, _cardholderName_, _payerEmail_ or _buyerPhoneNo_, _shippingAddress_, and _clientIp_ in this case.
-   `false`: indicates that the transaction will not go through the 3D Secure data-only flow.

> **Notes**:
>
> -   Set this parameter to `true` when the value of _paymentMethodType_ is `CARD` and you need to process the transaction through the 3D Secure data-only flow.
> -   This parameter cannot be set to `true` simultaneously with _is3DSAuthentication_.

###### cardNo (String)

The card number.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`.
> -   You collect this information during the payment process.
>
> If you set the value of _paymentMethod.paymentMethodMetaData.tokenize_ to `true` when the user saves the card on your cashier page, you do not need to specify this parameter for subsequent payments using the same card.

More information:

- Maximum length: 32 characters

###### cvv (String)

The card verification value (CVV), which is also known as a card security code (CSC) or a card veirification code (CVC).

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodRegion_ is `GLOBAL`, `BR`, `CL`, `MX`, `PE` or `TR`. 
> -   You collect this information during the payment process. 
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 4 characters

###### expiryYear (String)

The year the card expires. Pass in the last two digits of the year number. For example, if the expiry year is 2025, the value of this parameter is `25`.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`. 
> -   You collect this information during the payment process.
>
> If you set the value of _paymentMethod.paymentMethodMetaData.tokenize_ to `true` when the user saves the card on your cashier page, you do not need to specify this parameter for subsequent payments using the same card.

More information:

- Maximum length: 2 characters

###### expiryMonth (String)

The month the card expires. Pass in two digits representing the month. For example, if the expiry month is February, the value of this parameter is `02`.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`. 
> -   You collect this information during the payment process.
>
> If you set the value of _paymentMethod.paymentMethodMetaData.tokenize_ to `true` when the user saves the card on your cashier page, you do not need to specify this parameter for subsequent payments using the same card.

More information:

- Maximum length: 2 characters

###### cardholderName (UserName)

The cardholder's name.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodRegion_ is `BR`, `CL`, `MX`, `PE` or `TR`.
> -   You collect this information during the payment process.
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).
>
> If you set the value of _paymentMethod.paymentMethodMetaData.tokenize_ to `true` when the user saves the card on your cashier page, you do not need to specify this parameter for subsequent payments using the same card.

###### firstName (String, REQUIRED)

The cardholder's first name.

More information:

- Maximum length: 32 characters

###### middleName (String)

The cardholder's middle name.

More information:

- Maximum length: 32 characters

###### lastName (String, REQUIRED)

The cardholder's last name.

More information:

- Maximum length: 32 characters

###### fullName (String)

The cardholder's full name.

More information:

- Maximum length: 128 characters

###### billingAddress (Address)

The billing address that is associated with the cardholder's card account.

> **Note**: Specify this parameter when _paymentMethodType_ is `CARD` and you require risk control. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.
>
> If you set the value of _paymentMethod.paymentMethodMetaData.tokenize_ to `true` when the user saves the card on your cashier page, you do not need to specify this parameter for subsequent payments using the same card.

###### region (String, REQUIRED)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province name.

> **Note**: For card payments, if your business entity is in the United States, and the card issuing country is in Canada, the United States, or the United Kingdom, set the value to a region code that consists of two to three characters and follows the ISO 3611-2 standard.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### zipCode (String)

The ZIP or postal code.

> **Note**: For card payments, if your business entity is in the United States, specify this parameter according to the following parameter value requirements:
>
> -   Only contains numbers, letters, hyphens, and spaces.
> -   Must be within ten characters.

More information:

- Maximum length: 32 characters

###### cpf (String)

The Cadastro Pessoal de Pessoa Física (CPF) is the tax ID of the Brazilian individual taxpayer.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   When the value _paymentMethodRegion_ is `BR`.
> -   You collect this information during the payment process.  
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 11 characters

###### dateOfBirth (String)

The date of birth of the cardholder. The value of this parameter is an 8-digit date of birth in the format of `YYYY-MM-DD` that follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard. For example, `1971-06-07` means the cardholder's birthday is June 7, 1971.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodRegion_ is `KR`.
> -   The card is a personal card.
> -   You collect this information during the payment process.
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 10 characters

###### businessNo (String)

The business number of the company that holds the corporate card. The value of this parameter is a 10-digit business number, such as `97XXXXXX11`.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodRegion_ is `KR`.
> -   The card is a corporate card.
> -   You collect this information during the payment process.
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 10 characters

###### cardPasswordDigest (String)

The first two digits of the card payment password.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   You have the PCI qualification.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _paymentMethodRegion_ is `KR`.
> -   You collect this information during the payment process.
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 2 characters

###### paymentMethodRegion (String)

The region code that represents the country or region of the payment method. The value of this parameter is a 2-letter [ISO country code](https://www.iso.org/obp/ui/#search) or `GLOBAL`.

> **Note**: Specify this parameter when the card is a dual currency card. If you do not specify this parameter, Antom makes an intelligent decision for you based on the payment success rate and other factors.
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 6 characters

###### payerEmail (Email)

The email address of the payer.

> **Note**: Specify this parameter when all the following conditions are met:
>
> -   _paymentMethodType_ is `CARD`.
> -   _paymentMethodRegion_ is `BR`, `CL`, `MX`, or `PE`.
> -   You collect this information during the payment process.
>
> For more information about the card region, see [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE).

More information:

- Maximum length: 64 characters

###### tokenize

Deprecated. Use _tokenizeMode_ instead.

###### tokenizeMode (String)

The tokenize mode. Indicates whether card information needs to be stored. When you opt to store card details, the actual information is replaced with a unique and secure token that can be used for future payments. Valid values are:

-   `ENABLED`: indicates that you obtain card binding authorization and want to store card information for future payments.
-   `DISABLED`: indicates that you don’t need to store card information. The same applies when the value is empty or you do not specify this parameter.
-   `ASKFORCONSENT`: indicates that you present a button on the page, allowing the buyer to choose whether or not they want to store the card information.

> **Note**: Specify this parameter when the value of _paymentMethodType_ is `CARD` and you want to store the buyer's card information.

More information:

- Maximum length: 64 characters

###### isCardOnFile (Boolean)

Indicates whether the card used in this transaction has been previously processed and stored by the merchant. Valid values are:

-   `true`: The card used in the transaction has been previously processed and stored by the merchant. Set to `true` for stored card payments.
-   `false`: Default value. The card is new and has not been used previously on the merchant side.

###### recurringType (String)

The recurring type for the payment. Valid values are:

-   `SCHEDULED`: indicates a regular automated deduction payment.
-   `UNSCHEDULED`: indicates an irregular automated deduction payment.

If the value of this parameter is empty or you do not specify this parameter, the payment is not an automated deduction and the payer will be included in the payment process.

> **Note**: Specify this parameter when the payment is a merchant-initiated transaction (MIT).

More information:

- Maximum length: 64 characters

###### networkTransactionId (String)

The unique ID assigned by the card scheme to identify a transaction. This parameter is used for automated deduction payments. The value of this parameter is the value of the same field that is returned by [**notifyPayment**](https://docs.antom.com/ac/ams/paymentrn_online.md) API and [**inquiryPayment**](https://docs.antom.com/ac/ams/paymentri_online.md) API for the original payment.

> **Note**: Specify this parameter when the value of _recurringType_ is `SCHEDULED` or `UNSCHEDULED`.

More information:

- Maximum length: 100 characters

###### selectedCardBrand (String)

The card brand selected by the user for payment. See [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE) to check the valid values.

> **Note**:
>
> -   For co-badged cards: Specify this parameter if you want to display card brand options at the checkout page. If not specified, Antom determines the card brand based on success rates and other factors.
> -   For Korean cards: In Korean card authentication payment scenarios, when _requireIssuerAuthentication_ is set to `true` and this parameter is provided with the card brand, the buyer is redirected directly to the corresponding bank’s payment page. If _requireIssuerAuthentication_ is `true` but this parameter is not specified, Antom displays a page for the buyer to select a card brand.

More information:

- Maximum length: 64 characters

###### enableAuthenticationUpgrade (Boolean)

Indicates whether you allow non-3D Secure authentication to be upgraded to 3D Secure authentication. Valid values are:

-   `true`: indicates that you allow non-3D Secure authentication to be upgraded to 3D Secure authentication. The same applies when the value is empty or you do not specify this parameter.
-   `false`: indicates that you do not allow non-3D Secure authentication to be upgraded to 3D Secure authentication.

> **Note**: This parameter is used to salvage some payments that non-3D authentication fails. Specify this parameter as `false` if you do not need this capability.

###### mpiData (MpiData)

The MPI (Merchant Plug-In) information. 

Specify this parameter if you integrate external 3D MPI.

###### threeDSVersion (String, REQUIRED)

The version of 3D Secure protocol. Valid values are:

-   `1.0.2`
-   `2.1.0`
-   `2.2.0`

More information:

- Maximum length: 16 characters

###### cavv (String)

The cardholder authentication value. The value of this parameter can be Cardholder Authentication Verification Value (CAVV) or Authentication Verification Value (AVV).

> **Note**: Specify this parameter when the cardholder passes the 3D Secure authentication.

More information:

- Maximum length: 64 characters

###### dsTransactionId (String)

The unique transaction identifier assigned by the Directory Server (DS) for 3D Secure authentication.

> **Note**: Specify this parameter when 3D Secure authentication is used.

More information:

- Maximum length: 64 characters

###### eci (String, REQUIRED)

Electronic Commerce Indicator (ECI) that is returned by the card scheme. This parameter is used to indicate the type of cardholder identity authentication. Valid values are:

-   `02` or `05`: indicates fully authenticated transaction.
-   `01` or `06`: indicates attempted authentication transaction.
-   `00` or `07`: indicates non-3D Secure transaction.

More information:

- Maximum length: 2 characters

###### credentialType (String)

Indicates whether the Merchant Plug-In (MPI) information was obtained via the primary account number (PAN) or the network token. Valid values are:

-   `PAN`: Indicates that the MPI information was obtained via the PAN.
-   `NETWORK_TOKEN`: Indicates that the MPI information was obtained via the network token.

More information:

- Maximum length: 16 characters

###### requireIssuerAuthentication (Boolean)

Indicates whether Korean card transactions require authentication from the issuing bank. Valid values are:

-   `true`: indicates that Korean card transactions require authentication from the issuing bank.
-   `false`: indicates that Korean card transactions do not require authentication from the issuing bank. The same applies when you do not specify this parameter or the value is empty.

Specify this parameter when all the following conditions are met:

-   The value of _paymentMethodType_ is `CARD`.
-   The value of _paymentMethodRegion_ is `KR`.
-   The Korean card transactions require issuer authentication.

###### invoiceId (String)

The unique ID to identify invoice files.

> **Note**: Please specify this parameter when the payment method is UPI, ONLINEBANKING\_NET BANKING, or Indian cards.

More information:

- Maximum length: 20 characters

###### requireIndianAuthentication (Boolean)

Indicates whether user information authorization and verification through the local Indian agency's page is required for payments using Indian cards. Valid values are:

-   `true`: Indicates that user information authorization is required through the local agency's page for Indian card payments.
-   `false`: Indicates that user information authorization is not required through the local agency's page for Indian card payments.

> **Note**: Please specify this parameter when the payment method is `UPI`, `ONLINEBANKING_NET BANKING`, or Indian cards.

###### funding (String)

The funding type of the card designated by the merchant for fund deductions. Valid values are:

-   `CREDIT`: Indicates a credit card.
-   `DEBIT`: Indicates a debit card.

> **Note**: This parameter can be left empty. In the case of Brazilian card scenarios, you can provide this parameter if you need to specify the card type the user is paying with.

More information:

- Maximum length: 32 characters

###### networktoken (NetworkToken)

The network token.

###### networkTokenNo (String)

The token number issued to the merchant by the card scheme.

More information:

- Maximum length: 64 characters

###### cryptogram (String)

The cryptogram of the network token issued to the merchant by the card scheme.

More information:

- Maximum length: 128 characters

###### eci (String)

Electronic Commerce Indicator (ECI) returned by the card scheme.

More information:

- Maximum length: 2 characters

###### expiryMonth (String)

The expiration month of the network token that the merchant obtained from the card scheme.

More information:

- Maximum length: 2 characters

###### expiryYear (String)

The expiration year of the network token that the merchant obtained from the card scheme.

More information:

- Maximum length: 2 characters

**Scenario: FPX** (FPX)

###### bankIdentifierCode (String)

The unique code of the bank. See [Bank list](https://docs.antom.com/ac/pm/enumeration_values.md#1QVov) to check the valid values.

> **Note**: Specify this parameter when all the following conditions are met:  
>
> -   The value of _paymentMethodType_ is `ONLINEBANKING_FPX`. 
> -   You collect this information during the payment process.

**Scenario: Google Pay** (Google Pay)

###### googlePayConfiguration (GooglePayConfiguration)

Google Pay payment preferences.

###### googlePayToken (String)

Google pay token.

> **Note**: Specify this parameter when the merchant does not have PCI qualification.

More information:

- Maximum length: 4096 characters

###### is3DSAuthentication (Boolean)

Indicates whether the transaction authentication type is 3D secure. Valid values are:

-   `true`: indicates that the transaction authentication type is 3D secure.
-   `false`: indicates that the transaction authentication type is 2D authentication.

> **Note**: Specify this parameter as `false` when the value of _paymentMethodType_ is `GOOGLEPAY`.

###### cardNo (String)

The card number.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the googlePayToken.

More information:

- Maximum length: 32 characters

###### cvv (String)

The card verification value (CVV), which is also known as a card security code (CSC) or a card veirification code (CVC).

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the googlePayToken.

More information:

- Maximum length: 3 characters

###### expiryMonth (String)

The month the card expires. Pass in two digits representing the month. For example, if the expiry month is February, the value of this parameter is `02`.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the googlePayToken.

More information:

- Maximum length: 2 characters

###### expiryYear (String)

The year the card expires. Pass in the last two digits of the year number. For example, if the expiry year is 2025, the value of this parameter is `25`.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the googlePayToken.

More information:

- Maximum length: 2 characters

###### cardholderName (UserName)

The cardholder's name.

> **Note**: Specify this parameter when the merchant is PCI DSS compliant and has decrypted the googlePayToken.

###### firstName (String, REQUIRED)

The cardholder's first name.

More information:

- Maximum length: 32 characters

###### middleName (String)

The cardholder's middle name.

More information:

- Maximum length: 32 characters

###### lastName (String, REQUIRED)

The cardholder's last name.

More information:

- Maximum length: 32 characters

###### fullName (String)

The cardholder's full name.

More information:

- Maximum length: 32 characters

###### billingAddress (Address)

The billing address that is associated with the cardholder's card account.

Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

###### region (String, REQUIRED)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province name.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### zipCode (String)

The ZIP or postal code.

More information:

- Maximum length: 32 characters

###### paymentMethodRegion (String)

The region code that represents the country or region of the payment method. The value of this parameter is a 2-letter [ISO country code](https://www.iso.org/obp/ui/#search) or `GLOBAL`. For more information about the card region, see [Card brands](https://global.alipay.com/docs/ac/pm/enumeration_values#ZfyuE).

More information:

- Maximum length: 6 characters

###### tokenize  ( )

Deprecated. Use _tokenizeMode_ instead.

###### tokenizeMode (String)

The tokenize mode. Indicates whether card information needs to be stored. When you opt to store card details, the actual information is replaced with a unique and secure token that can be used for future payments. Valid values are:

-   `ENABLED`: indicates that you obtain card binding authorization and want to store card information for future payments.
-   `DISABLED`: indicates that you don’t need to store card information. The same applies when the value is empty or you do not specify this parameter.
-   `ASKFORCONSENT`: indicates that you present a button on the page, allowing the buyer to choose whether or not they want to store the card information.

More information:

- Maximum length: 64 characters

###### isCardOnFile (Boolean)

Indicates whether the card used in this transaction has been previously processed and stored by the merchant. Valid values are:

-   `true`: The card used in the transaction has been previously processed and stored by the merchant. Set to `true` for stored card payments.
-   `false`: Default value. The card is new and has not been used previously on the merchant side.

###### recurringType (String)

The recurring type for the payment. Valid values are:

-   `SCHEDULED`: indicates a regular automated deduction payment.
-   `UNSCHEDULED`: indicates an irregular automated deduction payment.

If the value of this parameter is empty or you do not specify this parameter, the payment is not an automated deduction and the payer will be included in the payment process.

> **Note**: Specify this parameter when the payment is a merchant-initiated transaction (MIT).

More information:

- Maximum length: 64 characters

###### networkTransactionId (String)

This parameter is used for automated deduction payments. The value of this parameter is the value of the same field that is returned by [**notifyPayment**](https://docs.antom.com/ac/ams/paymentrn_online.md) or [**inquiryPayment**](https://docs.antom.com/ac/ams/paymentri_online.md) for the original payment.

> **Note**: Specify this parameter when the value of _recurringType_ is `SCHEDULED` or `UNSCHEDULED`.

More information:

- Maximum length: 100 characters

###### selectedCardBrand (String)

The card brand that the user used to pay. See [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE) to check the valid values.

More information:

- Maximum length: 64 characters

###### enableAuthenticationUpgrade (Boolean)

Indicates whether you allow non-3D Secure authentication to be upgraded to 3D Secure authentication. Valid values are:

-   `true`: indicates that you allow non-3D Secure authentication to be upgraded to 3D Secure authentication. The same applies when the value is empty or you do not specify this parameter.
-   `false`: indicates that you do not allow non-3D Secure authentication to be upgraded to 3D Secure authentication.

> **Note**: This parameter is used to salvage some payments that non-3D authentication fails. Specify this parameter as `false` if you do not need this capability.

###### mpiData (MpiData)

The MPI (Merchant Plug-In) information.

> **Note**: Specify this parameter if you integrate external 3D MPI.

###### threeDSVersion (String, REQUIRED)

The version of 3D Secure protocol. Valid values are:

-   `1.0.2`
-   `2.1.0`
-   `2.2.0`

More information:

- Maximum length: 16 characters

###### cavv (String)

The cardholder authentication value. The value of this parameter can be Cardholder Authentication Verification Value (CAVV) or Authentication Verification Value (AVV).

> **Note**: Specify this parameter when the cardholder passes the 3D Secure authentication.

More information:

- Maximum length: 64 characters

###### dsTransactionId (String)

The unique transaction identifier assigned by the Directory Server (DS) for 3D Secure authentication.

> **Note**: Specify this parameter when 3D Secure authentication is used.

More information:

- Maximum length: 64 characters

###### eci (String, REQUIRED)

Electronic Commerce Indicator (ECI) that is returned by the card scheme. This parameter is used to indicate the type of cardholder identity authentication. Valid values are:

-   `02` or `05`: indicates fully authenticated transaction.
-   `01` or `06`: indicates attempted authentication transaction.
-   `00` or `07`: indicates non-3D Secure transaction.

More information:

- Maximum length: 2 characters

**Scenario: GrabPay** (GrabPay)

###### interactionType (String)

Indicates the type of payment interaction flow used by the user. Valid values are:

-   `QR`: The user pays by scanning a QR code.
-   `REDIRECT`: The user pays via a redirection URL.

> Specify this parameter when all the following conditions are met:
>
> -   When you need to define the interaction type for the payment method.
> -   When you integrate GrabPay checkout payment through 2C2P.
>
> If the parameter is not provided, the system will apply the default logic based on the terminal type.

More information:

- Maximum length: 11 characters

**Scenario: Konbini** (KONBINI)

###### storeName (String)

When the value of _paymentMethodType_ is `KONBINI`, specify this parameter to obtain a convenience store barcode, reducing or eliminating the need for barcode exchange at the self-service terminal. Valid values are:

-   `LAWSON`
-   `MINISTOP`
-   `SEICOMART`
-   `FAMILYMART`

**Scenario: MB WAY** (MB WAY)

###### payerPhoneNo (String)

The user's phone number in E.164 format.

For `MB_WAY`, the country code is +351, e.g., +351 12345678.

> **Note**: If this parameter is not specified, Antom will launch an intermediate page to collect the phone number.

More information:

- Maximum length: 24 characters

**Scenario: Mercado Pago** (Mercado Pago)

###### payerEmail (Email)

The email address of the payer. 

Specify this parameter when all the following conditions are met: 

-   The value of _paymentMethodType_ is `MERCADOPAGO_BR`, `MERCADOPAGO_MX`, `MERCADOPAGO_CL`, or `MERCADOPAGO_PE`.  
-   You collect this information during the payment process.

More information:

- Maximum length: 64 characters

###### cpf (String)

Cadastro de Pessoas Físicas (CPF). The registration number of the Brazilian individual taxpayer.

> Specify this parameter when all the following conditions are met:
>
> -   The value of _paymentMethodType_ is `MERCADOPAGO_BR`.
> -   You collect this information during the payment process.

More information:

- Maximum length: 11 characters

**Scenario: Pagaleve** (PAGALEVE)

###### cpf (String)

Cadastro de Pessoas Físicas (CPF). The registration number of the Brazilian individual taxpayer.

> Specify this parameter when the value of _paymentMethodType_ is `PAGALEVE`.

More information:

- Maximum length: 11 characters

###### payerEmail (Email)

The email address of the payer.

Specify this parameter when the value of _paymentMethodType_ is `PAGALEVE`.

More information:

- Maximum length: 64 characters

###### payerPhoneNo (String)

The phone number of the payer.

Specify this parameter when the value of _paymentMethodType_ is `PAGALEVE`.

More information:

- Maximum length: 24 characters

###### billingAddress (Address)

The billing address that is associated with the cardholder's card account.

Specify this parameter when _paymentMethodType_ is `PAGALEVE`. Providing this information helps to increase payment success rates.

###### region (String, REQUIRED)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

More information:

- Maximum length: 2 characters

###### state (String)

The state, country, or province name.

More information:

- Maximum length: 8 characters

###### city (String)

The city, district, suburb, town, or village name.

More information:

- Maximum length: 32 characters

###### address1 (String)

Address line 1, for example, the street address, PO box, and company name.

More information:

- Maximum length: 256 characters

###### address2 (String)

Address line 2, for example, the apartment, suite, unit, and building information.

More information:

- Maximum length: 256 characters

###### zipCode (String)

The ZIP or postal code.

More information:

- Maximum length: 32 characters

###### payerName (UserName)

The payer's name.

Specify this parameter when the value of _paymentMethodType_ is `PAGALEVE`.

###### firstName (String, REQUIRED)

The payer's first name.

More information:

- Maximum length: 32 characters

###### lastName (String, REQUIRED)

The payer's last name.

More information:

- Maximum length: 32 characters

**Scenario: PayPay** (PayPay)

###### smartPaymentEnabled (Boolean)

Indicates whether integrated with PayPay Smart Payment. Valid values are:

-   `true`: Indicates that you have integrated with PayPay Smart Payment.
-   `false`: Indicates that you have not integrated with PayPay Smart Payment.

**Scenario: Pix via Open Finance** (PIX_VIA_OPEN_FINANCE)

###### newField43RRsQ

###### newField6qFABQ

###### newFieldFxlvyT

**Scenario: Przelewy24** (Przelewy24)

###### payerEmail (Email )

The email address of the payer.

> Specify this parameter when all the following conditions are met:
>
> -   The value of _paymentMethodType_ is `P24`.
> -   You collect this information during the payment process.

More information:

- Maximum length: 64 characters

###### bankIdentifierCode (String)

The unique code of the bank. See [Bank list](https://global.alipay.com/docs/ac/pm/enumeration_values#1QVov) to check the valid values.

> Specify this parameter when all the following conditions are met:
>
> -   The value of _paymentMethodType_ is `P24`.
> -   You collect this information during the payment process.

**Scenario: ShopeePay** (ShopeePay)

###### interactionType (String)

Indicates the type of payment interaction flow used by the user. Valid values are:

-   `QR`: The user pays by scanning a QR code.
-   `REDIRECT`: The user pays via a redirection URL.

> Specify this parameter when all the following conditions are met:
>
> -   When you need to define the interaction type for the payment method.
> -   When you integrate ShopeePay checkout payment through 2C2P.
>
> If the parameter is not provided, the system will apply the default logic based on the terminal type.

More information:

- Maximum length: 11 characters

##### customerId (String)

The unique ID to identify a buyer.

> **Note**: Specify this parameter if you have the information. Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 32 characters

##### extendInfo (String)

Extended information.

> **Note**: Specify this parameter if you need to use the extended information.

More information:

- Maximum length: 2048 characters

#### paymentFactor (PaymentFactor)

Factors that impact the payment. This field is used to indicate the payment scenario.

> **Note**: Specify this parameter when the value of _paymentMethodType_ is `CARD`, `APPLEPAY`, `GOOGLEPAY`, or `ONLINEBANKING_YAPILY`.

##### isAuthorization (Boolean)

Indicates whether the payment scenario requires authorization. Valid values are:

-   `false`: Default value. Indicates that the payment scenario is a regular payment without authorization. Set this parameter to `false`or empty when the value of _paymentMethodType_ is not `CARD`, `APPLEPAY`, `GOOGLEPAY` or `ONLINEBANKING_YAPILY` to avoid the automatic release of funds to the user.
-   `true`: Indicates that the payment scenario requires authorization. Set this parameter to `true` when the value of _paymentMethodType_ is `CARD`, `APPLEPAY`, `GOOGLEPAY`, or `ONLINEBANKING_YAPILY`.

> **Note**: When this parameter is set to `true`, the payment funds are guaranteed and held on the payment method side. You can use the [**capture (One-time Payments)**](https://docs.antom.com/ac/ams/capture.md) API to deduct the payment funds.

##### captureMode (String)

Indicates the method for capturing funds after the user authorizes the payment. Valid values are:

-   `AUTOMATIC`: indicates that Antom automatically captures the funds after the authorization. The same applies when the value is empty or you do not pass in this parameter.
-   `MANUAL`: indicates that you manually capture the funds by calling the [**capture (One-time Payments)**](https://docs.antom.com/ac/ams/capture.md) API.

> **Note**: Specify this parameter if you want to designate the capture mode of the payment.

More information:

- Maximum length: 64 characters

#### creditPayPlan (CreditPayPlan)

The credit payment plan information for this payment.

> **Note**: Specify this field if you want to support installment payment and contact Antom technical support for details on how to offer installment payments.

##### installmentNum (String, REQUIRED)

The number of installments. The valid value is from `2` to `12`.

More information:

- Maximum length: 8 characters

##### creditPayFeeType (String)

The value of this field is `PERCENTAGE`, which indicates that the fee is described in percentage with 1 - 3 digits. For example, 5 means 5%, 100 means 100%.

> **Note**: Specify this field when you want the fee information to be expressed in percentage.

##### feePercentage (Integer)

This field is determined by the sellers' liability. For example, 0 indicates the seller is not liable for any fee. 100 indicates the seller pays 100% of the fee.

> **Note**: Specify this field when the value of _creditPayFeeType_ is `PERCENTAGE`.

More information:

- Value range: 0 - 100

#### appId (String)

The unique ID that is assigned by Antom to identify the mini program.

> **Note**: This field is required when _terminalType_ is `MINI_APP`.

More information:

- Maximum length: 32 characters

#### paymentExpiryTime (Datetime)

The payment expiration time is a specific time after which the payment will expire and the acquirer or merchant must terminate the order processing.

> **Notes**:
>
> -   For bank transfer payments, the default payment expiration time is 48 hours after the payment request is sent. For other payment categories, the default payment expiration time is usually 14 minutes after the payment request is sent. For example, if the request is sent on 2019-11-27T12:00:01+08:30, the payment expiration time is 2019-11-27T12:14:01+08:30.
> -   Specify this field if you want to use a payment expiration time that differs from the default time. For bank transfer payments, the specified payment expiration time must be less than 48 hours after the payment request is sent. For other payment categories, the specified payment expiration time must be less than 10 minutes after the payment request is sent.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### paymentNotifyUrl (URL)

The URL that is used to receive the result notification.

> **Notes**:
>
> -   Payment result notification: Specify this parameter if you want to receive an asynchronous notification of the payment result. You can also set the URL to receive the result notification in Antom Dashboard. If the URL is specified in both the request and Antom Dashboard, the value specified in the request takes precedence.
> -   Capture result notification: Specify this parameter if you want to receive an asynchronous notification of the capture result. You can also set the URL to receive the result notification in Antom Dashboard. If the URL is specified in both the request and Antom Dashboard, the value set in Antom Dashboard takes precedence.

More information:

- Maximum length: 2048 characters

#### paymentRedirectUrl (URL, REQUIRED)

The merchant page URL that the user is redirected to after the payment is completed.

> **Note**: The maximum length of this parameter is 255 when the value of _paymentMthodType_ is `PAYPAY`.

More information:

- Maximum length: 2048 characters

#### productCode (String, REQUIRED)

Represents the payment product that is being used, which is stipulated in the contract. For One-time Payments, the value is fixed as `CASHIER_PAYMENT`.

#### subscriptionInfo (SubscriptionInfo)

Subscription Information.

> **Note**: This parameter is required only for the first payment during subscription creation.

##### subscriptionDescription (String, REQUIRED)

The description of the subscription, used for displaying user consumption records and other actions.

More information:

- Maximum length: 256 characters

##### subscriptionStartTime (Datetime, REQUIRED)

The date and time when the subscription becomes active.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### subscriptionEndTime (Datetime)

The date and time when the subscription ends.

> **Note**: Specify this parameter when you want to designate the subscription end time.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### periodRule (PeriodRule, REQUIRED)

The subscription period rule, used to define a subscription's billing period.

###### periodType (String, REQUIRED)

The subscription period type. Valid values are:

-   `YEAR`: indicates that the subscription period is measured in years.
-   `MONTH`: indicates that the subscription period is measured in months.
-   `WEEK`: indicates that the subscription period is measured in weeks.
-   `DAY`: indicates that the subscription period is measured in days.

More information:

- Maximum length: 20 characters

###### periodCount (String, REQUIRED)

The number of period types within one subscription period. If the value of _periodType_ is `MONTH` and the value of _periodCount_ is `2`, it means that the subscription period is two months.

More information:

- Value range: 1 - unlimited

##### trials (Array<Trial> )

List of subscription trial information.

> **Note**: Specify this parameter if the subscription includes any trial periods.

###### trialStartPeriod (String, REQUIRED)

The start subscription period of the trial. For example, if the trial starts from the first subscription period, specify this parameter as `1`.

More information:

- Value range: 1 - unlimited

###### trialAmount (Amount, REQUIRED)

The discounted amount for each subscription trial period. The value of this parameter must be a positive number.

###### currency (String, REQUIRED)

The transaction currency, which is a 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (String, REQUIRED)

The value of the amount as a positive integer in the smallest currency unit.

If the currency is USD and the amount is $1.00, set the value of this parameter to `100`; or if the currency is JPY and the amount is ￥1, set the value of this parameter to `1`.

> **Note**:
>
> -   For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).
> -   For details about the minimum payment amount allowed for each payment method, see [Minimum amount rules](https://docs.antom.com/ac/ref/cc.md#q9R5A).
> -   Due to the currency practices in Indonesia, when the currency is IDR, round the amount with Banker's Rounding and fix the last two digits of this parameter as `00`.

More information:

- Maximum length: 16 characters

##### subscriptionNotifyUrl (String, REQUIRED)

The URL that is used to receive the subscription result notification.

You can also configure the subscription notification URL in Antom Dashboard. If you specify this URL in both this API and Antom Dashboard, the URL configured in the API takes precedence.

> **Note**: You can only configure one subscription notification URL in Antom Dashboard.

More information:

- Maximum length: 2048 characters

#### metadata (String)

Use this parameter to submit metadata, including information for special use cases.

> Specify this parameter when you need to add metadata information.

More information:

- Maximum length: 2048 characters

## Response parameters

#### result (Result, REQUIRED)

The result of the API call. If this API is successfully called, the payment is successful.

##### resultCode (String, REQUIRED)

Result code. The result code that might be returned are listed in the **Result/Error codes** table on this page.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

Result status. Valid values are:

-   `S`: Indicates that the API call succeeds.
-   `F`: Indicates that the API call fails.
-   `U`: Indicates that the API call might be successful, in process, or failed. For more details, see Result process logic.

##### resultMessage (String, REQUIRED)

[...]
